<?php

namespace Planaday\Config\Booking\Submission\Redirecting;

use Planaday\Config\Booking\Submission\BookingSubmissionOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum RedirectOptionsEnum:string implements OptionGroupEnum {
	case REDIRECT_AFTER_SUCCESS = 'REDIRECT_AFTER_SUCCESS';
	case REDIRECT_SUCCESS_PAGE = 'REDIRECT_SUCCESS_PAGE';
	case NO_REDIRECT_SUCCESS_TEXT = 'NO_REDIRECT_SUCCESS_TEXT';
	case REDIRECT_AFTER_FAILURE = 'REDIRECT_AFTER_FAILURE';
	case REDIRECT_FAILURE_PAGE = 'REDIRECT_FAILURE_PAGE';
	case NO_REDIRECT_FAILURE_TEXT = 'NO_REDIRECT_FAILURE_TEXT';

	public static function getClassName(): string {
		return RedirectSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingSubmissionOptionsEnum::REDIRECT;
	}
}